List snapshots

List snapshots

List all snapshots for a workflow.

GET/api/workflows/{id}/snapshots
Path parameters
idstringrequired

Request

curl
curl -X GET https://trickest.io/api/workflows/{id}/snapshots \
  -H "Authorization: Bearer $TRICKEST_TOKEN"

Responses

200List of snapshots
resultsobject[]required

countinteger
nextstring
previousstring
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.